Summary:	ODBC driver for MySQL
Name:		mysql-connector-odbc
Version:	5.3.2
Release:	%mkrel 2
Group:		System/Libraries
# exceptions allow library to be linked with most open source SW,
# not only GPL code.
License:	GPLv2+ with exceptions
URL:		http://dev.mysql.com/downloads/connector/odbc/
# Upstream has a mirror redirector for downloads, so the URL is hard to
# represent statically.  You can get the tarball by following a link from
# http://dev.mysql.com/downloads/connector/odbc/
Source0:	%{name}-%{version}-src.tar.gz

# mysql-connector-odbc expects to be able to get at a bunch of utility
# functions inside libmysqlclient.  Now that we are restricting what symbols
# are exported by libmysqlclient, that doesn't work.  Instead, copy those
# functions here.  mysql and mysql-connector-odbc are published under the same
# license, so this creates no legal issues.  (Note: we don't worry about
# polluting application namespace in mysql-connector-odbc, since it's never
# directly statically linked with any application code.)
Source1:	mariadb-mysys.tar.gz

Patch0:		mysql-connector-odbc-5.2.6-shutdown.patch
Patch1:		mysql-connector-odbc-5.3.2-fix-str-fmt.patch
Patch2:		mysql-connector-odbc-5.2.6-buffsize.patch
Patch3:		mysql-connector-odbc-5.3.2-cleartext.patch
Patch4:		mysql-connector-odbc-5.2.6-64bit.patch
Patch5:		mysql-connector-odbc-5.3.2-movecmpfunc.patch
Patch6:		mysql-connector-odbc-5.3.2-add-mysys.patch
Patch7:		mysql-connector-odbc-5.3.2-mariadb10.patch

BuildRequires:	cmake
BuildRequires:	mysql-devel
BuildRequires:	unixODBC-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(openssl)

Requires:	unixODBC

%description
An ODBC (rev 3) driver for MySQL, for use with unixODBC.

%prep
%setup -q -n %{name}-%{version}-src

tar xfz %{SOURCE1}

%apply_patches

%build
# mysql 5.5.10 has stopped #define'ing THREAD in its exports, and has
# started #define'ing MY_PTHREAD_FASTMUTEX, and neither of those changes
# sit well with mysql-connector-odbc 5.1.10.  Revisit need for these hacks
# when updating to newer release.
######################################################################################################################

export CFLAGS="%{optflags} -lpthread -fno-strict-aliasing -DTHREAD=1 -UMY_PTHREAD_FASTMUTEX -DDBUG_OFF"

%cmake \
	-G "Unix Makefiles" \
	-DWITH_UNIXODBC=1 \
	-DRPM_BUILD=1 \
	-DMYSQLCLIENT_LIB_NAME=mysqlclient
%make 

%install
%makeinstall_std -C build

# cleanup
rm -rf %{buildroot}%{_datadir}/mysql-connector-odbc
rm -rf %{buildroot}%{_prefix}/test
rm -rf %{buildroot}%{_prefix}/COPYING
rm -rf %{buildroot}%{_prefix}/ChangeLog
rm -rf %{buildroot}%{_prefix}/INSTALL
rm -rf %{buildroot}%{_prefix}/Licenses_for_Third-Party_Components.txt
rm -rf %{buildroot}%{_prefix}/README
rm -rf %{buildroot}%{_prefix}/README.debug

cat > README.urpmi << EOF

Please run this command when register:
%{_bindir}/myodbc-installer -d -a -n "MySQL ODBC 5.3 Driver" -t "DRIVER=%{_libdir}/libmyodbc5w.so;SETUP=%{_libdir}/libmyodbc5S.so"

Please run this command when unregister:

%{_bindir}/myodbc-installer -d -r -n "MySQL ODBC 5.3 Driver"
EOF

%files
%doc ChangeLog README README.debug README.urpmi
%{_bindir}/*
%{_libdir}/libmyodbc5S.so
%{_libdir}/libmyodbc5a.so
%{_libdir}/libmyodbc5w.so


%changelog
* Thu Feb 19 2015 spuhler <spuhler> 5.3.2-2.mga5
+ Revision: 815940
- changed cat > README.mageia << EOF to cat > README.urpmi << EOF

  + daviddavid <daviddavid>
    - Sync with Rosa2014.1 (update to 5.3.2_fix build failure)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.1.11-3.mga4
+ Revision: 522172
- Mageia 4 Mass Rebuild

* Mon Feb 11 2013 neoclust <neoclust> 5.1.11-2.mga3
+ Revision: 397821
- Fix compilation with format-security

* Tue Jan 29 2013 dlucio <dlucio> 5.1.11-1.mga3
+ Revision: 393208
- new name for S1
- no-error=format-security
- S1 was rediffed with some const castings
- Sync from FC18
- iodbc-devel as BR
- cmake as BR
- 5.2.2
- New patches

  + dmorgan <dmorgan>
    - imported package mysql-connector-odbc


* Tue Dec 07 2010 Funda Wang <fwang@mandriva.org> 5.1.8-1mdv2011.0
+ Revision: 613453
- 5.1.8

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 5.1.7-2mdv2011.0
+ Revision: 612975
- the mass rebuild of 2010.1 packages
- 5.1.7

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-2mdv2010.1
+ Revision: 507520
- rebuild

* Mon Nov 23 2009 Funda Wang <fwang@mandriva.org> 5.1.6-1mdv2010.1
+ Revision: 469267
- update desc
- New version 5.1.6
- New version 5.1.5
- rediff libname patch
- fix license (it is not public domain of course)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Zombie Ryushu <ryushu@mandriva.org>
    - Backport for 2009.1 test

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.1.30 libs

* Sat Jul 19 2008 Oden Eriksson <oeriksson@mandriva.com> 3.51.26-0.r1127.1mdv2009.0
+ Revision: 238811
- 3.51.26r1127
- added the dsn-editor.pro from 3.51.16r494 to fix build
- fix linkage (P2)
- sync with fedora (P1)
- fix deps

  + Funda Wang <fwang@mandriva.org>
    - use qt3 macros
    - new devel package name policy
    - Rename to mysql-connector-odbc
    - New version 3.51.22

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill explicit icon extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.51.16-0.r494.2mdv2008.0
+ Revision: 89560
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character

* Sat Jun 16 2007 Oden Eriksson <oeriksson@mandriva.com> 3.51.16-0.r494.1mdv2008.0
+ Revision: 40359
- 3.51.16r494
- rediffed P0

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 3.51.14-0.r248.3mdv2008.0
+ Revision: 14798
- remove the faulty desktop-file-utils deps


* Tue Mar 13 2007 Oden Eriksson <oeriksson@mandriva.com> 3.51.14-0.r248.2mdv2007.1
+ Revision: 143067
- 3.51.14r248
- fix xdg menu
- rediffed one patch
- Import MyODBC

* Mon Jan 02 2006 Warly <warly@mandriva.com> 3.51.12-4mdv2007.1- new version
* Wed Nov 16 2005 Oden Eriksson <oeriksson@mandriva.com> 3.51.11-4mdk
- rebuilt against openssl-0.9.8a

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.51.11-3mdk
- rebuilt against MySQL-5.0.15

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.51.11-2mdk
- Fix BuildRequires

* Sun Jun 19 2005 Oden Eriksson <oeriksson@mandriva.com> 3.51.11-1mdk
- 3.51.11
- rebuilt against new librpm
- drop one redundant patch
- rediffed P0, and also fix sonames

* Mon Mar 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.51.10-1mdk
- 3.51.10
- added P0,P1
- added P2 (fedora)
- lib64 fixes
- built all the binaries too, even the QT ones...
- ripped the menu magic from the unixODBC package
- misc spec file fixes

* Thu Apr 15 2004 Michael Scherer <misc@mandrake.org> 2.50.39-2mdk 
- rebuild

